| nRF5 SDK v12.0.0 |

Choose documentation: | nRF5 SDK | S130 SoftDevice API | S132 SoftDevice API | S212 SoftDevice API | S332 SoftDevice API

All Data Structures Functions Variables Typedefs Enumerations Enumerator Groups Pages
Functions
NFC BSP Module
Board Support Package

Module for setting the NFCT peripheral as a wakeup source. More...

## Functions
ret_code_t | bsp_nfc_btn_init (uint32_t sleep_button)
| Function for initializing the NFC Button Module. More...
ret_code_t | bsp_nfc_btn_deinit (uint32_t sleep_button)
| Function for deinitializing the NFC Button Module. More...
ret_code_t | bsp_nfc_sleep_mode_prepare (void)
| Function for setting up NFCT peripheral as wake-up source. More...

## Detailed Description

Module for setting the NFCT peripheral as a wakeup source.

The application must notify this module before going into System OFF mode. Based on this notification, the NFC BSP Module sets the NFCT peripheral as a wakeup source through the Board Support Package. Additionally, any BSP Button can be configured to generate BSP sleep events. This module is applicable only if NFCT is used exclusively for wakeup. If NFCT is used for a different purpose, this module cannot be used.

## Function Documentation

ret_code_t bsp_nfc_btn_deinit | ( | uint32_t | sleep_button | ) |

Function for deinitializing the NFC Button Module.

Before calling this function, the BSP module must be initialized with buttons. The chosen button is used to generate default BSP_EVENT_DEFAULT events.

Parameters

  [in] | sleep_button | Button ID used to restore default event generation.

Return values

  NRF_SUCCESS | If initialization was successful. Otherwise, a propagated error code is returned.

ret_code_t bsp_nfc_btn_init | ( | uint32_t | sleep_button | ) |

Function for initializing the NFC Button Module.

Before calling this function, the BSP module must be initialized with buttons. The chosen button is used to generate BSP_EVENT_SLEEP events.

Parameters

  [in] | sleep_button | Button ID used to generate BSP_EVENT_SLEEP event.

Return values

  NRF_SUCCESS | If initialization was successful. Otherwise, a propagated error code is returned.

ret_code_t bsp_nfc_sleep_mode_prepare | ( | void |  | ) |

Function for setting up NFCT peripheral as wake-up source.

This function must be called before going into System OFF mode.

Note
  This function is only applicable if NFCT is used exclusively for wakeup. If NFCT is used for a different purpose, this function cannot be used.

Return values

  NRF_SUCCESS | If NFCT peripheral was prepared successfully. Otherwise, a propagated error code is returned.